"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var createHeader = function (title, enabled) {
    if (enabled)
        return "<a class=\"header\" tabindex=\"0\"\n    onclick=\"this.classList.toggle('active'); this.nextElementSibling.style.display=this.nextElementSibling.style.display==='none'? 'block':'none';\"\n    >\n    " + title + "\n    </a>";
    else
        return "<a class=\"header disabled\">" + title + "</a>";
};
var createSection = function (sectionData) {
    var hasText = 'text' in sectionData && sectionData.text.length > 0;
    var hasChildren = 'children' in sectionData && sectionData.children.length > 0;
    if (!hasText && !hasChildren) {
        return createHeader(sectionData.title, false);
    }
    var contentsHtml = '<div class="contents" style="display: none;">';
    if (hasText) {
        contentsHtml += "<p>" + sectionData.text + "</p>";
    }
    if (hasChildren) {
        contentsHtml += sectionData.children.map(createSection).join('\n');
    }
    contentsHtml += '</div>';
    return createHeader(sectionData.title, true) + '\n' + contentsHtml;
};
var generateHtml = function (data) {
    return "<div id=\"nested-accordion\">\n" + data
        .map(createSection)
        .join('\n') + "\n</div>";
};
exports.default = generateHtml;
